PTHREAD_CLEANUP_PUSH(3)

NAME
pthread_cleanup_push - add a cleanup function for thread exit

LIBRARY
libc_r

SYNOPSIS
#include <pthread.h>
void
pthread_cleanup_push(void (*cleanup_routine)(void *), void *arg);

DESCRIPTION
The pthread_cleanup_push() function adds cleanup_routine to the top of the stack of cleanup handlers that get called when the current thread exits.

When pthread_cleanup_push() is called, it is passed arg as its only argument.

RETURN VALUES
pthread_cleanup_push() does not return any value.

ERRORS
None

SEE ALSO
pthread_cleanup_pop(3), pthread_exit(3)

STANDARDS
pthread_cleanup_push() conforms to ISO/IEC 9945-1 ANSI/IEEE (“POSIX”) Std 1003.1 Second Edition 1996-07-12.